﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Update_EF_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(Customer customer)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                Customer updatedCustomer = (from c in entities.Customers
                                            where c.CustomerId == customer.CustomerId
                                            select c).FirstOrDefault();

                if (updatedCustomer != null)
                {
                    updatedCustomer.Name = customer.Name;
                    updatedCustomer.Country = customer.Country;
                    entities.SaveChanges();
                    ViewBag.Message = "Customer record updated.";
                }
                else
                {
                    ViewBag.Message = "Customer not found.";
                }

                return View();
            }            
        }
    }
}
